/* Z-100 keyboard function codes */
#define DELETE		0x7F
#define F1		0x97
#define F2		0x98
#define F3		0x99
#define F4		0x9A
#define F5		0x9B
#define F6		0x9C
#define F7		0x9D
#define F8		0x9E
#define F9		0x9F
#define F10		0xA0
#define INS		0xA3
#define INS_LINE	0xA4
#define UP		0xA5
#define DOWN		0xA6
#define RIGHT		0xA7
#define LEFT		0xA8
#define HOME		0xA9
#define K0		0xB0
#define K1		0xB1
#define K2		0xB2
#define K3		0xB3
#define K4		0xB4
#define K5		0xB5
#define K6		0xB6
#define K7		0xB7
#define K8		0xB8
#define K9		0xB9
#define SF1		0xD7
#define SF2		0xD8
#define SF3		0xD9
#define SF4		0xDA
#define SF5		0xDB
#define SF6		0xDC
#define SF7		0xDD
#define SF8		0xDE
#define SF9		0xDF
#define SF10		0xE0
#define DEL		0xE3
#define DEL_LINE	0xE4
#define SH_UP		0xE5
#define SH_DOWN		0xE6
#define SH_RIGHT	0xE7
#define SH_LEFT		0xE8
#define END		0xE9
#define SK0		0xF0
#define SK1		0xF1
#define SK2		0xF2
#define SK3		0xF3
#define SK4		0xF4
#define SK5		0xF5
#define SK6		0xF6
#define SK7		0xF7
#define SK8		0xF8
#define SK9		0xF9
/* Shift-Tab exists only on PC's but is listed here so we can use it at all. */
#define SH_TAB		0xFA
#define PGUP		SH_UP
#define PGDN		SH_DOWN
#define CTL_LEFT	SH_LEFT
#define CTL_RIGHT	SH_RIGHT
